Bug 135018 - CRASH: Track Changes: Accepting All Changes
Summary: CRASH: Track Changes: Accepting All Changes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2 all versions
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:6.4.7
Keywords: bibisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-07-21 12:53 UTC by Xisco Faulí
Modified: 2020-09-02 13:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-21 12:53:39 UTC
Steps to reproduce:
1. Open attachment 163362 [details] from bug 135009
2. Go to Edit - Track Changes - Manage
3. Click on Accept All

-> Crash

Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-07-21 12:55:28 UTC
it didn't crash before https://cgit.freedesktop.org/libreoffice/core/commit/?id=4532845e22c10f252840887e55002307227b2390. After this commit, the document crashes at import time. Later on, the import crash was fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=f609eba8b979620dc8f1c4a47d710360f8aae9e6. Accepting All already crashes after this commit

Adding Cc: to Michael Stahl
Comment 2 Telesto 2020-07-22 09:58:37 UTC
Adding bug 134746 as see also (source file I assume). The see also there contains a whole list of bugs around the specific file
Comment 3 Telesto 2020-08-01 18:35:58 UTC
Repro with
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: ru-RU (nl_NL); UI: en-US
Calc: CL
Comment 4 Commit Notification 2020-08-25 18:00:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a64511dc929a91926ade0c132b310214fdb1bdea

tdf#135018 sw_redlinehide: fix accept delete redline at start of body

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Stahl (CIB) 2020-08-25 18:04:02 UTC
fixed on master
Comment 6 Commit Notification 2020-08-26 08:58:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/db5bcab9c0a1d4736fbffd79afd00de9daa2afac

tdf#135018 sw_redlinehide: fix accept delete redline at start of body

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-08-26 12:26:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4d2f2c7ca37e618e0ac64fd22e5315ecccc8df5b

tdf#135018 sw_redlinehide: fix accept delete redline at start of body

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-09-02 13:59:03 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b6ab2330d97672936edc56de8d6f5b6f772908ff

tdf#135018: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.